<?php defined('_JEXEC') or die('Restricted access'); ?>
<?php
/**
 * @version		3.0
 * @package		Joomla
 * @subpackage	Payment Form
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
$headerText = JText::_('PF_FORM_FOR') ;
$headerText = str_replace('[FORM_TITLE]', $this->form->title, $headerText) ;
$this->url = JURI::base() ;	
if ($this->config->use_https) {
	$url = JRoute::_('index.php?option=com_pmform&Itemid='.$this->Itemid, false, true);
} else {
	$url = JRoute::_('index.php?option=com_pmform&Itemid='.$this->Itemid, false);
}
?>
<form method="post" name="adminForm" id="adminForm" action="<?php echo $url; ?>" enctype="multipart/form-data" autocomplete="off">
	<?php		
								 																
	?>		
	<table width="100%" class="os_table">																			
    		<?php			    		
    		if (!$this->userId && $this->config->user_registration) {
    		?>
    			<tr>			
					<td class="title_cell" width="30%">
						<label for="username"><?php echo  JText::_('PF_USERNAME') ?><span class="required">*</span></label>						
					</td>
					<td class="field_cell">
						<input type="text" name="username" class="inputbox" value="<?php echo $this->username; ?>" size="15" />
						<?php
							if ($this->registrationErrorCode == 1 || $this->registrationErrorCode == 3) {
							?>
								<span class="invalid"><?php echo JText::_('PF_INVALID_USERNAME'); ?></span>
							<?php	
							}
						?>						
					</td>
				</tr>
				<tr>			
					<td class="title_cell" width="30%">
						<label for="password"><?php echo  JText::_('PF_PASSWORD') ?><span class="required">*</span></label>						
					</td>
					<td class="field_cell">
						<input type="password" name="password" class="inputbox" value="<?php echo $this->password; ?>" size="15" />
					</td>
				</tr>					
				<tr>			
					<td class="title_cell" width="30%">
						<label for="password2"><?php echo  JText::_('PF_RETYPE_PASSWORD') ?><span class="required">*</span></label>						
					</td>
					<td class="field_cell">
						<input type="password" name="password2" class="inputbox" value="<?php echo $this->password ; ?>" size="15" />
					</td>
				</tr>			
    		<?php		
    		}
			foreach ($this->fields as $field) {				
				switch ($field->field_type) {
					case FIELD_TYPE_HEADING :
						?>
							<tr>
								<td colspan="2" class="heading"><?php echo JText::_($field->title) ; ?></td>
							</tr>
						<?php	
						break ;
					case FIELD_TYPE_MESSAGE :
						?>
							<tr>
								<td colspan="2" class="message">
									<?php echo $field->description ; ?>
								</td>
							</tr>
						<?php						
						break ;
					default:
					?>
						<tr>
							<td class="title_cell key">
								<label for="<?php echo $field->name ; ?>"><?php echo $field->title ; ?>
									<?php 
										if ($field->required) {
											echo '<span class="required">*</span>' ;
										}
									?>
								</label>
								<?php									
									if (strlen(trim($field->description))) {
									?>
										<p class="field_description"><?php echo $field->description ; ?></p>
									<?php	
									}								
								?>
							</td>
							<td class="field_cell">
								<?php echo $field->output ; ?>
							</td>
						</tr>		
					<?php			
				}									
			}			
			if (count($this->methods) > 1) {
				?>
					<tr>
						<td class="title_cell" valign="top">
							<?php echo JText::_('PF_PAYMENT_OPTION'); ?>
							<span class="required">*</span>						
						</td>
						<td class="field_cell">
							<?php
								$method = null ;
								for ($i = 0 , $n = count($this->methods); $i < $n; $i++) {
									$paymentMethod = $this->methods[$i];
									if ($paymentMethod->getName() == $this->paymentMethod) {
										$checked = ' checked="checked" ';
										$method = $paymentMethod ;
									}										
									else 
										$checked = '';	
								?>
									<input onclick="changePaymentMethod();" type="radio" name="payment_method" value="<?php echo $paymentMethod->getName(); ?>" <?php echo $checked; ?> /><?php echo JText::_($paymentMethod->getTitle()); ?> <br />
								<?php		
								}	
							?>
						</td>						
					</tr>				
				<?php					
				} else {
					$method = $this->methods[0] ;
				}																			
				if ($method->getCreditCard()) {
					$style = '' ;	
				} else {
					$style = 'style = "display:none"';
				}			
				?>			
				<tr id="tr_card_number" <?php echo $style; ?>>
					<td class="title_cell"><?php echo  JText::_('AUTH_CARD_NUMBER'); ?><span class="required">*</span></td>
					<td class="field_cell">
						<input type="text" name="x_card_num" class="inputbox" onkeyup="checkNumber(this)" value="<?php echo $this->x_card_num; ?>" size="20" />
					</td>					
				</tr>
				<tr id="tr_exp_date" <?php echo $style; ?>>
					<td class="title_cell">
						<?php echo JText::_('AUTH_CARD_EXPIRY_DATE'); ?><span class="required">*</span>
					</td>
					<td class="field_cell">					
						<?php echo $this->lists['exp_month'] .'  /  '.$this->lists['exp_year'] ; ?>
					</td>					
				</tr>
				<tr id="tr_cvv_code" <?php echo $style; ?>>
					<td class="title_cell">
						<?php echo JText::_('AUTH_CVV_CODE'); ?><span class="required">*</span>
					</td>
					<td class="field_cell">
						<input type="text" name="x_card_code" class="inputbox" onKeyUp="checkNumber(this)" value="<?php echo $this->x_card_code; ?>" size="20" />
					</td>					
				</tr>
				<?php
					if ($method->getCardType()) {
						$style = '' ;
					} else {
						$style = ' style = "display:none;" ' ;										
					}
				?>
					<tr id="tr_card_type" <?php echo $style; ?>>
						<td class="title_cell">
							<?php echo JText::_('PF_CARD_TYPE'); ?><span class="required">*</span>
						</td>
						<td class="field_cell">
							<?php echo $this->lists['card_type'] ; ?>
						</td>						
					</tr>					
				<?php
					if ($method->getCardHolderName()) {
						$style = '' ;
					} else {
						$style = ' style = "display:none;" ' ;										
					}
				?>
					<tr id="tr_card_holder_name" <?php echo $style; ?>>
						<td class="title_cell">
							<?php echo JText::_('PF_CARD_HOLDER_NAME'); ?><span class="required">*</span>
						</td>
						<td class="field_cell">
							<input type="text" name="card_holder_name" class="inputbox"  value="<?php echo $this->cardHolderName; ?>" size="40" />
						</td>						
					</tr>
				<?php									
					if ($method->getName() == 'os_echeck') {
						$style = '';												
					} else {
						$style = ' style = "display:none;" ' ;
					}
				?>
				    <tr id="tr_bank_rounting_number" <?php echo $style; ?>>
				      <td class="title_cell"><?php echo JText::_('PF_BANK_ROUTING_NUMBER'); ?><span class="required">*</span></td>
				      <td class="field_cell"><input type="text" name="x_bank_aba_code" class="inputbox"  value="<?php echo $this->x_bank_aba_code; ?>" size="40" onKeyUp="checkNumber(this);" /></td>
				    </tr>
				    <tr id="tr_bank_account_number" <?php echo $style; ?>>
				      <td class="title_cell"><?php echo JText::_('PF_BANK_ACCOUNT_NUMBER'); ?><span class="required">*</span></td>
				      <td class="field_cell"><input type="text" name="x_bank_acct_num" class="inputbox"  value="<?php echo $this->x_bank_acct_num; ?>" size="40" onKeyUp="checkNumber(this);" /></td>
				    </tr>
				    <tr id="tr_bank_account_type" <?php echo $style; ?>>
				      <td class="title_cell"><?php echo JText::_('PF_BANK_ACCOUNT_TYPE'); ?><span class="required">*</span></td>
				      <td class="field_cell"><?php echo $this->lists['x_bank_acct_type']; ?></td>
				    </tr>
				    <tr id="tr_bank_name" <?php echo $style; ?>>
				      <td class="title_cell"><?php echo JText::_('PF_BANK_NAME'); ?><span class="required">*</span></td>
				      <td class="field_cell"><input type="text" name="x_bank_name" class="inputbox"  value="<?php echo $this->x_bank_name; ?>" size="40" /></td>
				    </tr>
				    <tr id="tr_bank_account_holder" <?php echo $style; ?>>
				      <td class="title_cell"><?php echo JText::_('PF_ACCOUNT_HOLDER_NAME'); ?><span class="required">*</span></td>
				      <td class="field_cell"><input type="text" name="x_bank_acct_name" class="inputbox"  value="<?php echo $this->x_bank_acct_name; ?>" size="40" /></td>
				    </tr>	
				<?php			
				if ($this->idealEnabled) {
			        if ($method->getName() == 'os_ideal') {
						$style = '' ;
					} else {
						$style = ' style = "display:none;" ' ;
					}	
				?>
					<tr id="tr_bank_list" <?php echo $style; ?>>
						<td class="title_cell">
							<?php echo JText::_('PF_BANK_LIST'); ?><span class="required">*</span>
						</td>
						<td class="field_cell">
							<?php echo $this->lists['bank_id'] ; ?>
						</td>
					</tr>
				<?php	
			    }						        			
				if ($this->config->accept_term ==1) {
				$articleId  = $this->config->article_id ;
				$db = JFactory::getDbo() ;
				$sql = 'SELECT id, catid FROM #__content WHERE id='.$articleId ;
				$db->setQuery($sql) ;
				$rowArticle = $db->loadObject() ;
				$catId = $rowArticle->catid ;				
				require_once JPATH_ROOT.'/components/com_content/helpers/route.php' ;
				$termLink = ContentHelperRoute::getArticleRoute($articleId, $catId).'&format=html' ;								    				   
				?>
					<tr>
						<td colspan="2">
							<input type="checkbox" name="accept_term" value="1" class="inputbox" />
							<strong><?php echo JText::_('PF_ACCEPT'); ?>&nbsp;<a href="<?php echo JRoute::_($termLink); ?>" target="_blank"><?php echo JText::_('PF_TERM_AND_CONDITION'); ?></a></strong>
						</td>						
					</tr>
				<?php	
				}
				
				if ($this->config->enable_captcha) {
				?>
					<tr>
						<td class="title_cell">
							<?php echo JText::_('PF_CAPTCHA'); ?><span class="required">*</span>
						</td>
						<td>
							<input type="text" class="inputbox" value="" size="8" name="security_code" />
							<img src="<?php echo JRoute::_('index.php?option=com_pmform&task=show_captcha_image'); ?>" title="<?php echo JText::_('PF_CAPTCHA_GUIDE'); ?>" align="middle" id="captcha_image" />
							<a href="javascript:reloadCaptcha();"><strong><?php echo JText::_('PF_RELOAD'); ?></strong></a>
							<?php
								if ($this->captchaInvalid) {
								?>
									<span class="error"><?php echo JText::_('PF_INVALID_CAPTCHA_ENTERED'); ?></span>
								<?php	
								}
							?>				
						</td>
					</tr>	
				<?php	
				}		

				if ($this->enableCoupon) {
				?>
	    			<tr>			
	    				<td class="title_cell" width="30%">
	    					<p>
	    					  <label for="coupon_code"><?php echo  JText::_('PF_COUPON') ?></label>
   					    </p>
    					<p>&nbsp;</p></td>
	    				<td class="field_cell">
	    					<p>
	    					  <input type="text" class="inputbox" name="coupon_code" id="coupon_code" value="<?php echo $this->couponCode; ?>" size="18" />						
	    					  <?php
	    						if ($this->errorCoupon) {
	    						?>
	    					  <span class="invalid"><?php echo JText::_('PF_INVALID_COUPON'); ?></span>
	    					  <?php	
	    						}
	    					?>
   					    </p>
    					<p>&nbsp;</p></td>
	    			</tr>	
	    		<?php
	    		}
				
			?>									
		<tr>
			<td colspan="2" align="left">
				<input type="button" class="button" name="btnSubmit" value="<?php echo  JText::_('PF_COMPLETE_ORDER') ;?>" onclick="checkData();">				
			</td>			
		</tr>										
	</table>					
	<?php
		if (count($this->methods) == 1) {
		?>
			<input type="hidden" name="payment_method" value="<?php echo $this->methods[0]->getName(); ?>" />
		<?php	
		}		
	?>
	<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
	<input type="hidden" name="form_id" value="<?php echo $this->form->id ; ?>" />
	<input type="hidden" name="option" value="com_pmform" />
	<input type="hidden" name="task" value="" />		
	<?php 
		if (isset($this->articleUrl)) {
		?>
			<input type="hidden" name="article_url" value="<?php echo $this->articleUrl ; ?>" />
		<?php	
		}	
	?>	
	<script language="javascript" type="text/javascript">
		<?php
			os_payments::writeJavascriptObjects();
		?>
		function checkData() {
			var form = document.adminForm ;
			<?php
				if (!$this->userId && $this->config->user_registration) {
				?>
					if (form.username.value == '') {
						alert("<?php echo JText::_("PF_USERNAME_REQUIRED"); ?>");
						form.username.focus();
						return ;
					}					
					if (form.password.value == '') {
						alert("<?php echo JText::_("PF_PASSWORD_REQUIRED"); ?>");
						form.username.focus();
						return ;						
					}	
					if (form.password.value != form.password2.value) {
						alert("<?php echo JText::_("PF_CONFIRMATION_PASSWORD_NOT_MATCH"); ?>");
						form.password.focus();
						return ;
					}
				<?php	
				}
				if ($this->customField) {
					echo $this->validations ;
				}
			?>																	
			var paymentMethod = "";
			<?php				
				if (count($this->methods) > 1) {
				?>
					var paymentValid = false;
					for (var i = 0 ; i < form.payment_method.length; i++) {
						if (form.payment_method[i].checked == true) {
							paymentValid = true;
							paymentMethod = form.payment_method[i].value;
							break;
						}
					}
					
					if (!paymentValid) {
						alert("<?php echo JText::_('EB_REQUIRE_PAYMENT_OPTION'); ?>");
						return;
					}		
				<?php	
				} else {
				?>
					paymentMethod = "<?php echo $this->methods[0]->getName(); ?>";
				<?php	
				}				
				?>
				method = methods.Find(paymentMethod);				
				//Check payment method page
				if (method.getCreditCard()) {
					if (form.x_card_num.value == "") {
						alert("<?php echo  JText::_('EB_ENTER_CARD_NUMBER'); ?>");
						form.x_card_num.focus();
						return;					
					}					
					if (form.x_card_code.value == "") {
						alert("<?php echo JText::_('EB_ENTER_CARD_CODE'); ?>");
						form.x_card_code.focus();
						return ;
					}
				}
				if (method.getCardHolderName()) {
					if (form.card_holder_name.value == '') {
						alert("<?php echo JText::_('EB_ENTER_CARD_HOLDER_NAME') ; ?>");
						form.card_holde_name.focus();
						return ;
					}
				}		
				//Need to add validation here
				/**This check is only used for echeck payment gateway**/			
				if (paymentMethod == 'os_echeck') {
					if (form.x_bank_aba_code.value == '') {
						alert("<?php echo JText::_('PF_BANK_ROUTING_NUMBER_REQUIRE') ?>");
						form.x_bank_aba_code.focus();
						return ;
					}				
					if (form.x_bank_acct_num.value == '') {
						alert("<?php echo JText::_('PF_BANK_ACCOUNT_NUMBER_REQUIRE') ?>");
						form.x_bank_aba_code.focus();
						return ;
					}				
					if (form.x_bank_name.value == '') {
						alert("<?php echo JText::_('PF_BANK_NAME_REQUIRE') ?>");
						form.x_bank_name.focus();
						return ;		
					}				
					if (form.x_bank_acct_name.value == '') {
						alert("<?php echo JText::_('PF_BANK_ACCOUNT_HOLDER_NAME_REQUIRE') ?>");
						form.x_bank_acct_name.focus();
						return ;
					}				
				}													
			<?php					    	
				if ($this->config->accept_term) {
				?>
					if (form.accept_term.checked == false) {
						alert("<?php echo JText::_('PF_ACCEPT_TERM') ; ?>");
						form.accept_term.focus();
						return ;
					}
				<?php	
				} 
				if ($this->config->enable_captcha) {
				?>
			        if (form.security_code.value == '') {
						alert("<?php echo JText::_("PF_ENTER_CAPTCHA"); ?>");
						form.security_code.focus() ;
						return ;	
					}
				<?php
				}		
				if ($this->config->bypass_confirmation_page) {
				?>
					form.task.value = 'process_payment' ;		
				<?php	
				} else {
				?>
					form.task.value = 'view_confirmation' ;
				<?php	
				}							
			?>					
														
			form.submit();
		}					
		function checkNumber(txtName)
		{			
			var num = txtName.value			
			if(isNaN(num))			
			{			
				alert("<?php echo JText::_('PF_ONLY_NUMBER'); ?>");			
				txtName.value = "";			
				txtName.focus();			
			}			
		}								
	</script>	
	<?php echo JHTML::_( 'form.token' ); ?>
</form>